Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class MonitorInstancesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.MonitorInstancesResult

    public class MonitorInstancesResult

extends Object

The result of enabling monitoring on a set of Amazon EC2 instances. Contains the updated monitoring status for each instance specified in the request.

Constructor Summary
`MonitorInstancesResult()`

Method Summary
`List<InstanceMonitoring>` | `getInstanceMonitorings()` A list of updated monitoring information for the instances specified in the request.
`void` | `setInstanceMonitorings(Collection<InstanceMonitoring> instanceMonitorings)` A list of updated monitoring information for the instances specified in the request.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`MonitorInstancesResult` | `withInstanceMonitorings(Collection<InstanceMonitoring> instanceMonitorings)` A list of updated monitoring information for the instances specified in the request.
`MonitorInstancesResult` | `withInstanceMonitorings(InstanceMonitoring... instanceMonitorings)` A list of updated monitoring information for the instances specified in the request.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MonitorInstancesResult

    public MonitorInstancesResult()

Method Detail

### getInstanceMonitorings

    public List<InstanceMonitoring> getInstanceMonitorings()

  A list of updated monitoring information for the instances specified in the request.

  Returns:
    A list of updated monitoring information for the instances specified in the request.

### setInstanceMonitorings

    public void setInstanceMonitorings(Collection<InstanceMonitoring> instanceMonitorings)

  A list of updated monitoring information for the instances specified in the request.

  Parameters:
    `instanceMonitorings` - A list of updated monitoring information for the instances specified in the request.

### withInstanceMonitorings

    public MonitorInstancesResult withInstanceMonitorings(InstanceMonitoring... instanceMonitorings)

  A list of updated monitoring information for the instances specified in the request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceMonitorings` - A list of updated monitoring information for the instances specified in the request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withInstanceMonitorings

    public MonitorInstancesResult withInstanceMonitorings(Collection<InstanceMonitoring> instanceMonitorings)

  A list of updated monitoring information for the instances specified in the request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceMonitorings` - A list of updated monitoring information for the instances specified in the request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.